Skip to main content
PATCH
/
v1
/
orders
/
{id}
Update an order
curl --request PATCH \
  --url https://prod.truv.com/v1/orders/{id}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "ssn": "<string>",
  "refresh_approved": true,
  "loan": {
    "loan_number": "MUUT220700012",
    "originator_name": "John Doe",
    "originator_email": "john@example.com",
    "loan_processor_name": "John Doe",
    "loan_processor_email": "john@doe.com",
    "external_id": "c505e0f1b4134fdc853fc87e7d2cc4a5",
    "is_closed": false,
    "funding_date": "2024-08-24T00:00:00.000Z"
  },
  "notes": "<string>",
  "notification_settings": {
    "suppress_user_notifications": false,
    "first_notification_delay_hours": 0
  }
}
'
{
  "error": {
    "code": "authentication_failed",
    "message": "No such token"
  }
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

id
string
required

Order ID received from the POST request

Body

application/json
first_name
string
Required string length: 1 - 50
last_name
string
Required string length: 1 - 50
ssn
string | null
Maximum string length: 128
refresh_approved
boolean

Flag that indicates approval for notification to reconnect the account to be sent.

loan
object

Loan Information

notes
string | null

Free text field for notes associated with the order

Required string length: 1 - 2000
notification_settings
object

Configuration for order notifications. Omit fields to keep existing values unchanged.

Response

Empty body